NOCHK(2)

NAME
nochk - control security checking by file

SYNOPSIS
nochk(fd, onoff);

DESCRIPTION
Nochk modifies file security checks in processes that have capability T_NOCHK. If onoff is 1, file descriptor fd becomes exempt from security checks; this is the default state. If onoff is 0, the file descriptor will be checked as if the process did not have capability T_NOCHK.

The return value is the previous checking state.

SEE ALSO
getplab(2)

DIAGNOSTICS
EBADF

BUGS
It would have been wise to let 0 be the default state, but this would have required modifying standard utilities, such as fsck(8), which must be run with privilege T_NOCHK.